### Method

# Camel Service query_auth_types_sync

#### Declaration [src]

    GList*
    camel_service_query_auth_types_sync (
      CamelService* service,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Obtains a list of authentication types supported by `service`. Free the returned list with g_list_free().

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `CamelServiceAuthType*`

A list of `CamelServiceAuthType` structs.

The caller of the method takes ownership of the returned data container, but not the data inside it.